Debian Bug report logs - #400488
no fans after S3 sleep on several HP laptop models

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Bas Zoetekouw <bas@debian.org>

Date: Sun, 26 Nov 2006 16:03:10 UTC

Severity: critical

Tags: fixed-upstream

Fixed in version linux-2.6/2.6.18.dfsg.1-11

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=7122

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#400488; Package linux-image-2.6.18-2-686. Full text and rfc822 format available.

Acknowledgement sent to Bas Zoetekouw <bas@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: no fans after S3 sleep on many laptops
Date: Sun, 26 Nov 2006 15:26:32 +0100
Package: linux-image-2.6.18-2-686
Version: 2.6.18-5
Severity: grave

With the kernel from linux-image-2.6.18-2-686, fans for my laptop
(HP nc6120) don't work anymore after an S3 suspend/resume cycle.  This
causes the system to spontaneously shutdown under load causing data
loss (or posibly it might even break the hardware), ergo the grave
severity.

This issue is known by kernel upstream [1], and is at least partly
fixed in 2.6.19-rc4.  I've been using the patches of [1] on my Ubuntu
install on this same laptop (just switched it over to debian
yesterday) for weeks, and they fixed the problem for me.

I propose that these patches are applied for etches default kernel.

[1] http://bugzilla.kernel.org/show_bug.cgi?id=7122

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.18-2-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages linux-image-2.6.18-2-686 depends on:
ii  initramfs-tools [linux-initra 0.85b      tools for generating an initramfs
ii  module-init-tools             3.3-pre3-1 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.18-2-686 recommends:
ii  libc6-i686                   2.3.6.ds1-8 GNU C Library: Shared libraries [i

-- debconf information excluded



Bug reassigned from package `linux-image-2.6.18-2-686' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#400488; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 400488@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 400488-submitter@bugs.debian.org, 400488@bugs.debian.org
Subject: Re: Bug#400488: no fans after S3 sleep on many laptops
Date: Sat, 2 Dec 2006 09:26:37 +0100
severity 400488 important
thanks

On Sun, Nov 26, 2006 at 03:26:32PM +0100, Bas Zoetekouw wrote:
> With the kernel from linux-image-2.6.18-2-686, fans for my laptop
> (HP nc6120) don't work anymore after an S3 suspend/resume cycle.  This
> causes the system to spontaneously shutdown under load causing data
> loss (or posibly it might even break the hardware), ergo the grave
> severity.

It does not fail for everyone, so grave is not appropriate.

> This issue is known by kernel upstream [1], and is at least partly
> fixed in 2.6.19-rc4.  I've been using the patches of [1] on my Ubuntu
> install on this same laptop (just switched it over to debian
> yesterday) for weeks, and they fixed the problem for me.

There is no commit in the linus tree. The comments also said something
about acpi-test.

Bastian

-- 
Beam me up, Scotty!



Severity set to `important' from `grave' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Bas Zoetekouw <bas@debian.org>:
Bug#400488. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=7122. Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#400488; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Bas Zoetekouw <bas@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 400488@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: 400488@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#400488: no fans after S3 sleep on many laptops
Date: Sat, 23 Dec 2006 12:56:31 +0100
severity 400488 critical
thanks

Bastian Blank wrote:

> > With the kernel from linux-image-2.6.18-2-686, fans for my laptop
> > (HP nc6120) don't work anymore after an S3 suspend/resume cycle.  This
> > causes the system to spontaneously shutdown under load causing data
> > loss (or posibly it might even break the hardware), ergo the grave
> > severity.
> 
> It does not fail for everyone, so grave is not appropriate.

Indeed, critial is more appropriate, as this bug causes data loss and
hardware damage.

IMO, the sitation is similar to bug #404143: like Andi said there:

> Consider you have bought such a laptop, and you install Debian. You have
> even read the release notes first.  Everything works well.  Until one
> day you notice your laptop gets too warm, and eventually even breaks
> because of this.  On deeper research, you notice that this issue was
> well-known to Debian, but they refused to deal with it at all. How would
> you feel as a user? I think this is an unacceptable perspective.

I can very well imagine that you guys don't want to include these
patches in the default etch kernel at this time, but please document it
in the release notes, make the kernel refuse to run on this hardware, or
make the user aware of the problem in some other way.  

-- 
Kind regards,
+--------------------------------------------------------------------+
| Bas Zoetekouw              | GPG key: 0644fab7                     |
|----------------------------| Fingerprint: c1f5 f24c d514 3fec 8bf6 |
| bas@o2w.nl, bas@debian.org |              a2b1 2bae e41f 0644 fab7 |
+--------------------------------------------------------------------+ 



Severity set to `critical' from `important' Request was from Bas Zoetekouw <bas@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#400488; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 400488@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 400488@bugs.debian.org
Cc: bas@debian.org, control@bugs.debian.org
Subject: no fans after S3 sleep on many laptops
Date: Sat, 23 Dec 2006 18:24:52 +0200
retitle 400488 no fans after S3 sleep on several HP laptop models
thanks

Hi,

> With the kernel from linux-image-2.6.18-2-686, fans for my laptop
> (HP nc6120) don't work anymore after an S3 suspend/resume cycle.

Did this work with older kernels?

> I can very well imagine that you guys don't want to include these
> patches in the default etch kernel at this time

There is quite a few patches in that bugreport, and atleast some of them
seem to cause regressions. If you can provide a patch agains debian's
kernel version, and you are confident it will not break anyone elses 
system, the patch will be much more likely considered.

Updating title since the kernel.org bugreport does not mention any
non-HP laptops affected.



Changed Bug title. Request was from Riku Voipio <riku.voipio@iki.fi> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#400488; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Bas Zoetekouw <bas@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #38 received at 400488@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 400488@bugs.debian.org, control@bugs.debian.org
Subject: Re: no fans after S3 sleep on many laptops
Date: Sat, 23 Dec 2006 17:53:22 +0100
Hi Riku!

You wrote:

> > With the kernel from linux-image-2.6.18-2-686, fans for my laptop
> > (HP nc6120) don't work anymore after an S3 suspend/resume cycle.
> 
> Did this work with older kernels?

Yes, it worked fine with kernels prior to 2.6.17.

> > I can very well imagine that you guys don't want to include these
> > patches in the default etch kernel at this time
> 
> There is quite a few patches in that bugreport, and atleast some of them
> seem to cause regressions. If you can provide a patch agains debian's
> kernel version, and you are confident it will not break anyone elses 
> system, the patch will be much more likely considered.

Well, I've been running I kernel with the patches from the upstream bug
report and the other ralated issue #5534 (upstream), #404143
(debian), and that seems to work perfectly here.  The patches are:
 - http://bugzilla.kernel.org/attachment.cgi?id=9255&action=view
 - http://bugzilla.kernel.org/attachment.cgi?id=9337&action=view
 - http://bugzilla.kernel.org/attachment.cgi?id=8951&action=view
 - http://bugzilla.kernel.org/attachment.cgi?id=8952&action=view

The last of those seems to have been superseded by
http://bugzilla.kernel.org/attachment.cgi?id=9746&action=view
(see http://bugzilla.kernel.org/show_bug.cgi?id=5534).

I'm not at all a kernel expert, and I really can't say anything about
the stability of these pacthes, except that they work for me.

Greetings,
Bas.

-- 
Kind regards,
+--------------------------------------------------------------------+
| Bas Zoetekouw              | GPG key: 0644fab7                     |
|----------------------------| Fingerprint: c1f5 f24c d514 3fec 8bf6 |
| bas@o2w.nl, bas@debian.org |              a2b1 2bae e41f 0644 fab7 |
+--------------------------------------------------------------------+ 



Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#400488; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 400488@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 404143@bugs.debian.org, 400488@bugs.debian.org
Cc: 404143-submitter@bugs.debian.org, 400488-submitter@bugs.debian.org
Subject: ACPI blacklisting of select HP laptop models
Date: Mon, 19 Feb 2007 21:06:03 -0800
[Message part 1 (text/plain, inline)]
So here's the score on these bugs:

- there are several problems in 2.6.18 with ACPI handling which render fan
  support more or less inoperable on specific HP laptop models.
- these issues are believed to be resolved in 2.6.19, and backport patches
  are available, but the impact of these backports on unrelated hardware is
  unknown and therefore backporting of ACPI fixes has been rejected as a
  solution for etch.
- that leaves the option of adding these laptops to the kernel's ACPI
  blacklist, so that fans are left under control of the BIOS; this has the
  disadvantage of breaking all ACPI support, including battery monitoring
  and S3 suspend, but given the problems caused -- a memory leak, plus an
  inability to control the machine temperature which, while not /supposed/
  to be fatal, could still potentially cause some heat damage -- this still
  appears to be the lesser of two evils.

Bug #404143 includes acpidump output for the HP nx6325 and the HP nc6120,
which I've used to prepare the attached patch.  I would appreciate it if
folks with these models could test that this gives the intended results
(i.e., ACPI disabled on these laptops).

According to bug #404143, the nx6125 model is also affected, but I don't
have acpidump information for this model, so haven't yet attempted to add it
to the blacklist.  It would be helpful if someone could provide such output;
I don't think these bugs should be considered resolved until we have
something in place for all of the models known to be affected.

Once we do, though, I think we should close these bugs with the upload in
question; they're as fixed as they're going to be for 2.6.18 in etch, and
for 2.6.19 and above they're fixed upstream.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[linux-2.6-404143.diff (text/x-diff, attachment)]

Message sent on to Bas Zoetekouw <bas@debian.org>:
Bug#400488. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#400488; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #53 received at 400488@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 404143@bugs.debian.org, 400488@bugs.debian.org
Subject: Re: ACPI blacklisting of select HP laptop models
Date: Mon, 19 Feb 2007 22:26:31 -0800
[Message part 1 (text/plain, inline)]
Ok, let's try the diff without extraneous references to other patches. :)

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[linux-2.6-404143.diff (text/x-diff, attachment)]

Tags added: pending Request was from Steve Langasek <vorlon@alioth.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Steve Langasek <vorlon@alioth.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#400488; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 400488@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 400488@bugs.debian.org
Cc: 400488-submitter@bugs.debian.org, 404143-submitter@bugs.debian.org
Subject: Re: ACPI blacklisting of select HP laptop models
Date: Tue, 20 Feb 2007 15:37:29 -0800
tags 400488 pending
tags 404143 pending
thanks

Thanks to some help from Matthew Garrett, I've been able to confirm that the
OEM id on the nx6125 matches that on the nx6325, so no separate blacklist
entry is needed.

I've gone ahead with committing this patch to svn.  Testing would still be
appreciated, but I don't think we should wait on it before uploading given
the large number of other RC bugfixes currently waiting on -11.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Tags added: pending Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Bas Zoetekouw <bas@debian.org>:
Bug#400488. Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bas Zoetekouw <bas@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #72 received at 400488-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 400488-close@bugs.debian.org
Subject: Bug#400488: fixed in linux-2.6 2.6.18.dfsg.1-11
Date: Wed, 21 Feb 2007 14:17:35 +0000
Source: linux-2.6
Source-Version: 2.6.18.dfsg.1-11

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.18.dfsg.1-11.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-11.diff.gz
linux-2.6_2.6.18.dfsg.1-11.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-11.dsc
linux-doc-2.6.18_2.6.18.dfsg.1-11_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.18_2.6.18.dfsg.1-11_all.deb
linux-headers-2.6.18-4-all-powerpc_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-all-powerpc_2.6.18.dfsg.1-11_powerpc.deb
linux-headers-2.6.18-4-all_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-all_2.6.18.dfsg.1-11_powerpc.deb
linux-headers-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-11_powerpc.deb
linux-headers-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-11_powerpc.deb
linux-headers-2.6.18-4-powerpc64_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc64_2.6.18.dfsg.1-11_powerpc.deb
linux-headers-2.6.18-4-powerpc_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc_2.6.18.dfsg.1-11_powerpc.deb
linux-headers-2.6.18-4-prep_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-prep_2.6.18.dfsg.1-11_powerpc.deb
linux-headers-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-11_powerpc.deb
linux-headers-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-11_powerpc.deb
linux-headers-2.6.18-4-vserver_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-vserver_2.6.18.dfsg.1-11_powerpc.deb
linux-headers-2.6.18-4_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4_2.6.18.dfsg.1-11_powerpc.deb
linux-image-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-11_powerpc.deb
linux-image-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-11_powerpc.deb
linux-image-2.6.18-4-powerpc64_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc64_2.6.18.dfsg.1-11_powerpc.deb
linux-image-2.6.18-4-powerpc_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc_2.6.18.dfsg.1-11_powerpc.deb
linux-image-2.6.18-4-prep_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-prep_2.6.18.dfsg.1-11_powerpc.deb
linux-image-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-11_powerpc.deb
linux-image-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-11_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-11_powerpc.deb
linux-manual-2.6.18_2.6.18.dfsg.1-11_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.18_2.6.18.dfsg.1-11_all.deb
linux-patch-debian-2.6.18_2.6.18.dfsg.1-11_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.18_2.6.18.dfsg.1-11_all.deb
linux-source-2.6.18_2.6.18.dfsg.1-11_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.18_2.6.18.dfsg.1-11_all.deb
linux-support-2.6.18-4_2.6.18.dfsg.1-11_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.18-4_2.6.18.dfsg.1-11_all.deb
linux-tree-2.6.18_2.6.18.dfsg.1-11_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.18_2.6.18.dfsg.1-11_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400488@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 21 Feb 2007 12:49:10 +0100
Source: linux-2.6
Binary: linux-image-2.6.18-4-powerpc-miboot linux-headers-2.6.18-4-parisc-smp linux-modules-2.6.18-4-xen-vserver-amd64 linux-headers-2.6.18-4-vserver-amd64 linux-image-2.6.18-4-sparc64-smp linux-image-2.6.18-4-sparc32 linux-image-2.6.18-4-footbridge linux-headers-2.6.18-4-xen-vserver-686 linux-headers-2.6.18-4-powerpc linux-headers-2.6.18-4-all-i386 linux-image-2.6.18-4-alpha-legacy linux-headers-2.6.18-4-vserver-s390x linux-image-2.6.18-4-686 linux-headers-2.6.18-4-686-bigmem linux-headers-2.6.18-4-s3c2410 linux-headers-2.6.18-4-sb1a-bcm91480b linux-image-2.6.18-4-vserver-powerpc linux-manual-2.6.18 linux-headers-2.6.18-4-sb1-bcm91250a xen-linux-system-2.6.18-4-xen-vserver-686 linux-image-2.6.18-4-xen-vserver-amd64 linux-headers-2.6.18-4-all-s390 linux-image-2.6.18-4-prep linux-headers-2.6.18-4-vserver-alpha linux-headers-2.6.18-4-amd64 linux-headers-2.6.18-4-amiga linux-headers-2.6.18-4-mckinley linux-headers-2.6.18-4-parisc64-smp linux-image-2.6.18-4-mckinley linux-headers-2.6.18-4-vserver-686 linux-image-2.6.18-4-686-bigmem linux-image-2.6.18-4-s390-tape linux-headers-2.6.18-4-iop32x linux-headers-2.6.18-4 linux-headers-2.6.18-4-vserver-sparc64 linux-image-2.6.18-4-s390x linux-headers-2.6.18-4-parisc64 linux-headers-2.6.18-4-xen-vserver linux-headers-2.6.18-4-all-m68k linux-headers-2.6.18-4-all-ia64 linux-image-2.6.18-4-mac linux-headers-2.6.18-4-s390x linux-image-2.6.18-4-powerpc-smp linux-headers-2.6.18-4-all-amd64 linux-headers-2.6.18-4-686 linux-image-2.6.18-4-powerpc64 linux-headers-2.6.18-4-mac xen-linux-system-2.6.18-4-xen-amd64 linux-image-2.6.18-4-vserver-alpha linux-image-2.6.18-4-sb1-bcm91250a linux-modules-2.6.18-4-xen-amd64 linux-image-2.6.18-4-amiga linux-image-2.6.18-4-xen-vserver-686 linux-headers-2.6.18-4-powerpc64 linux-image-2.6.18-4-powerpc linux-headers-2.6.18-4-all linux-image-2.6.18-4-r5k-cobalt linux-headers-2.6.18-4-all-powerpc linux-headers-2.6.18-4-itanium linux-image-2.6.18-4-sparc64 linux-headers-2.6.18-4-alpha-legacy linux-image-2.6.18-4-rpc linux-headers-2.6.18-4-sparc64 linux-image-2.6.18-4-alpha-generic linux-image-2.6.18-4-ixp4xx linux-image-2.6.18-4-parisc64 linux-headers-2.6.18-4-footbridge linux-headers-2.6.18-4-xen-amd64 linux-headers-2.6.18-4-powerpc-miboot linux-headers-2.6.18-4-xen-686 linux-modules-2.6.18-4-xen-vserver-686 linux-image-2.6.18-4-s3c2410 linux-image-2.6.18-4-vserver-sparc64 linux-headers-2.6.18-4-atari linux-doc-2.6.18 linux-headers-2.6.18-4-all-alpha linux-image-2.6.18-4-vserver-s390x linux-headers-2.6.18-4-xen-vserver-amd64 linux-image-2.6.18-4-sb1a-bcm91480b linux-image-2.6.18-4-vserver-powerpc64 linux-image-2.6.18-4-alpha-smp linux-image-2.6.18-4-parisc64-smp linux-image-2.6.18-4-r3k-kn02 linux-support-2.6.18-4 linux-source-2.6.18 linux-headers-2.6.18-4-k7 linux-headers-2.6.18-4-vserver linux-modules-2.6.18-4-xen-686 linux-headers-2.6.18-4-r4k-kn04 linux-headers-2.6.18-4-all-mipsel linux-headers-2.6.18-4-vserver-k7 linux-headers-2.6.18-4-r3k-kn02 linux-headers-2.6.18-4-all-sparc linux-headers-2.6.18-4-rpc linux-headers-2.6.18-4-r5k-cobalt xen-linux-system-2.6.18-4-xen-686 linux-headers-2.6.18-4-sparc64-smp linux-image-2.6.18-4-s390 linux-image-2.6.18-4-486 linux-headers-2.6.18-4-vserver-powerpc64 linux-image-2.6.18-4-r4k-kn04 linux-headers-2.6.18-4-r5k-ip32 linux-image-2.6.18-4-iop32x linux-headers-2.6.18-4-all-mips linux-headers-2.6.18-4-ixp4xx linux-image-2.6.18-4-parisc-smp linux-headers-2.6.18-4-s390 linux-headers-2.6.18-4-vserver-powerpc linux-image-2.6.18-4-vserver-686 linux-headers-2.6.18-4-all-hppa linux-image-2.6.18-4-parisc linux-image-2.6.18-4-vserver-amd64 linux-image-2.6.18-4-vserver-k7 linux-headers-2.6.18-4-r4k-ip22 linux-image-2.6.18-4-xen-686 linux-image-2.6.18-4-r5k-ip32 linux-headers-2.6.18-4-sparc32 linux-image-2.6.18-4-r4k-ip22 linux-patch-debian-2.6.18 linux-headers-2.6.18-4-powerpc-smp linux-headers-2.6.18-4-alpha-smp linux-tree-2.6.18 xen-linux-system-2.6.18-4-xen-vserver-amd64 linux-image-2.6.18-4-k7 linux-image-2.6.18-4-qemu linux-headers-2.6.18-4-qemu linux-headers-2.6.18-4-xen linux-headers-2.6.18-4-alpha-generic linux-headers-2.6.18-4-parisc linux-image-2.6.18-4-amd64 linux-headers-2.6.18-4-prep linux-image-2.6.18-4-itanium linux-image-2.6.18-4-xen-amd64 linux-headers-2.6.18-4-486 linux-headers-2.6.18-4-all-arm linux-image-2.6.18-4-atari
Architecture: source powerpc all
Version: 2.6.18.dfsg.1-11
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.18 - Linux kernel specific documentation for version 2.6.18
 linux-headers-2.6.18-4 - Common header files for Linux 2.6.18
 linux-headers-2.6.18-4-all - All header files for Linux 2.6.18
 linux-headers-2.6.18-4-all-powerpc - All header files for Linux 2.6.18
 linux-headers-2.6.18-4-powerpc - Header files for Linux 2.6.18 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.18-4-powerpc-miboot - Header files for Linux 2.6.18 on 32-bit PowerPC for miboot floppy
 linux-headers-2.6.18-4-powerpc-smp - Header files for Linux 2.6.18 on multiprocessor 32-bit PowerPC
 linux-headers-2.6.18-4-powerpc64 - Header files for Linux 2.6.18 on 64-bit PowerPC
 linux-headers-2.6.18-4-prep - Header files for Linux 2.6.18 on PReP PowerPC
 linux-headers-2.6.18-4-vserver - Common header files for Linux 2.6.18
 linux-headers-2.6.18-4-vserver-powerpc - Header files for Linux 2.6.18 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.18-4-vserver-powerpc64 - Header files for Linux 2.6.18 on 64-bit PowerPC
 linux-image-2.6.18-4-powerpc - Linux 2.6.18 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.18-4-powerpc-miboot - Linux 2.6.18 image on 32-bit PowerPC for miboot floppy
 linux-image-2.6.18-4-powerpc-smp - Linux 2.6.18 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.18-4-powerpc64 - Linux 2.6.18 image on 64-bit PowerPC
 linux-image-2.6.18-4-prep - Linux 2.6.18 image on PReP PowerPC
 linux-image-2.6.18-4-vserver-powerpc - Linux 2.6.18 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.18-4-vserver-powerpc64 - Linux 2.6.18 image on 64-bit PowerPC
 linux-manual-2.6.18 - Linux kernel API manual pages for version 2.6.18
 linux-patch-debian-2.6.18 - Debian patches to version 2.6.18 of the Linux kernel
 linux-source-2.6.18 - Linux kernel source for version 2.6.18 with Debian patches
 linux-support-2.6.18-4 - Support files for Linux 2.6.18
 linux-tree-2.6.18 - Linux kernel source tree for building Debian kernel images
Closes: 400488 404143 410375 410497 411023 411024 411135
Changes: 
 linux-2.6 (2.6.18.dfsg.1-11) unstable; urgency=low
 .
   [ Jurij Smakov ]
   * Disable CONFIG_DEBUG_FS on sparc32, as it makes the kernel too big,
     resulting in a boot failure. This is ABI-changing, but we cannot
     afford a global ABI bump at that point, so some out-of-tree modules
     in Sid may not load on sparc32 before the corresponding packages
     are rebuilt. Sorry for the inconvenience. (closes: #410497)
   * Add sbus-envctrl-remove-execve.patch which is a backport of changes
     to SBUS envctrl drivers from 2.6.19, making them use
     call_usermodehelper() instead of execve() to call userspace programs.
     Fixes the failure of said drivers to load due to missing execve
     symbol. Thanks to Dann Frazier for testing. (closes: #411135)
 .
   [ dann frazier ]
   * atiixp: fix bug that restricts controller to a single channel.
     (closes: #411023)
   * atiixp: add cable detection support, fixing breakage w/ 40-wire cable
     (closes: #411024)
 .
   [ maximilian attems ]
   * Fix incomplete ipv6 multicast patch from 2.6.16.38. (closes: #410375)
   * UML compile 2.6.16.38 fix forward port completed.
   * Forward port complete IPX checksum patch 2.6.16.34
   * From the 2.6.18 stable queue:
     - IB/mad: Fix race between cancel and receive completion
   * Add 2.6.18.7, thanks gregkh:
     - Fix a free-wrong-pointer bug in nfs/acl server (CVE-2007-0772)
   * Allow ide_generic_all to be used modular and built in.
 .
   [ Steve Langasek ]
   * debian/patches/bugfix/hp-laptop-acpi-blacklist.patch: ACPI-blacklist
     certain HP laptop models (nx6125, nx6325, nc6120, and related) that
     are known to be incompatible with the ACPI implementation in 2.6.18,
     to prevent problems with memory leaks and heat stress at the expense
     of battery control and S3 suspend support.  Closes: #400488, #404143.
Files: 
 ce6046451db59b28003a4c6b8d37e0b4 5670 devel optional linux-2.6_2.6.18.dfsg.1-11.dsc
 661702d81349dee0661ca4a8af65f989 5304697 devel optional linux-2.6_2.6.18.dfsg.1-11.diff.gz
 83a362cf14f0edf2d09d8efb0f21c094 3601694 doc optional linux-doc-2.6.18_2.6.18.dfsg.1-11_all.deb
 57341cbb1d2add718c036e4b430584d8 1082338 doc optional linux-manual-2.6.18_2.6.18.dfsg.1-11_all.deb
 a00e6b1cd62031f7958b80e7df4cf81e 1419682 devel optional linux-patch-debian-2.6.18_2.6.18.dfsg.1-11_all.deb
 3e80b2399246f342f9555e1711b0f026 41412140 devel optional linux-source-2.6.18_2.6.18.dfsg.1-11_all.deb
 b79dc1950db759d723182ec6f3f55680 3778222 devel optional linux-support-2.6.18-4_2.6.18.dfsg.1-11_all.deb
 44aee87750e9d3ae3de1bd7f0877a6fc 48784 devel optional linux-tree-2.6.18_2.6.18.dfsg.1-11_all.deb
 e17a7a55b34d283e113a173f33b842a8 48366 devel optional linux-headers-2.6.18-4-all_2.6.18.dfsg.1-11_powerpc.deb
 497408862733f3712fa824ba99bd15f6 48410 devel optional linux-headers-2.6.18-4-all-powerpc_2.6.18.dfsg.1-11_powerpc.deb
 af8638ec387f75a83be297ac87c5bedb 3387120 devel optional linux-headers-2.6.18-4_2.6.18.dfsg.1-11_powerpc.deb
 e63e4e419ee9e4cbeb0d0aff2e3d0cee 16626128 admin optional linux-image-2.6.18-4-powerpc_2.6.18.dfsg.1-11_powerpc.deb
 bf7ea1aec404e904fe887f25325e87ee 246234 devel optional linux-headers-2.6.18-4-powerpc_2.6.18.dfsg.1-11_powerpc.deb
 0b325b0dfd55a463e4892f4b6c1cf6a3 16964414 admin optional linux-image-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-11_powerpc.deb
 47abac0b7672708d464ceaa428c2a873 246838 devel optional linux-headers-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-11_powerpc.deb
 9f1963f3e3511247127ad5a12e7ac32d 15152686 admin optional linux-image-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-11_powerpc.deb
 b9a85bb0a36cc97c1db37528333e5333 222934 devel optional linux-headers-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-11_powerpc.deb
 03d371e6f4a13ff4b6b179c46ee5627e 18292690 admin optional linux-image-2.6.18-4-powerpc64_2.6.18.dfsg.1-11_powerpc.deb
 66443ff39d78f63681419e59e8abf714 247164 devel optional linux-headers-2.6.18-4-powerpc64_2.6.18.dfsg.1-11_powerpc.deb
 cb22522c5cdb24bb7ae424380c129552 16397734 admin optional linux-image-2.6.18-4-prep_2.6.18.dfsg.1-11_powerpc.deb
 bf0416c23a7ee7cddf25791260b7f326 240904 devel optional linux-headers-2.6.18-4-prep_2.6.18.dfsg.1-11_powerpc.deb
 79be82d36ce9214cfb3908aa9474fc30 3409436 devel optional linux-headers-2.6.18-4-vserver_2.6.18.dfsg.1-11_powerpc.deb
 9b19ec18d82f38cd054caaaba7905c15 17007374 admin optional linux-image-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-11_powerpc.deb
 a75d168cde0e22fa40112dc70a03abd3 247014 devel optional linux-headers-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-11_powerpc.deb
 9c9fe9befae300fa484c8adaa9cc3696 18344198 admin optional linux-image-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-11_powerpc.deb
 d0dbc4d8ded74d01f7d1ee21566e2987 247420 devel optional linux-headers-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-11_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkXcUXUACgkQLkAIIn9ODhEhJwCgu5Orty5GCZAJQglClfR6RCQW
MLMAn2UktkDJk1Dnz95FGTTR33tGnF8z
=EsMN
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#400488; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #77 received at 400488@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Steve Langasek <vorlon@debian.org>, 400488@bugs.debian.org
Cc: 404143@bugs.debian.org
Subject: Re: Bug#400488: ACPI blacklisting of select HP laptop models
Date: Fri, 23 Feb 2007 09:06:49 -0700
[Message part 1 (text/plain, inline)]
On Mon, Feb 19, 2007 at 09:06:03PM -0800, Steve Langasek wrote:
> According to bug #404143, the nx6125 model is also affected, but I don't
> have acpidump information for this model, so haven't yet attempted to add it
> to the blacklist.  It would be helpful if someone could provide such output;
> I don't think these bugs should be considered resolved until we have
> something in place for all of the models known to be affected.

I can confirm that -11 disables acpi on an nx6125, thanks Steve!
Attached is the acpidump output for completeness (and because I need
to return this laptop so it might be hard to get later).

-- 
dann frazier

[nx6125.acpidump (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#400488; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Marc Fargas <telenieko@telenieko.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 400488@bugs.debian.org (full text, mbox):

From: Marc Fargas <telenieko@telenieko.com>
To: 400488@bugs.debian.org
Subject: Also disables nx6110
Date: Thu, 1 Mar 2007 18:15:58 +0100
[Message part 1 (text/plain, inline)]
Hi,
My nx6110 has ACPI disabled due to this bug :'( It seems that it shares
model no. with the nc6120 :)

Attaching acpidump just in case you want it.

Cheers,
Marc

-- 
Fargas Empresas
Travessera de GrĂ cia 278, Local 5
Barcelona 08025
Tel: 902327427 - Fax: 932160321
www.fargas.com
[nx6110.txt (text/plain, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 00:39:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:45:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.